Subject: Re: bug#3643: 23.1.90.1; menu, toolbars vs. constant size

From: Jan Djärv <[email-masked]>
Date: Wed, 06 Jan 2010 12:14:19 +0100

[email-masked] skrev 2010-01-04 22.41:
> In emacs -Q fiddle in the menus, clicking
> <menu-bar>  <options>  <showhide>  <showhide-tool-bar>  etc.
>
> Notice how emacs cannot keep itself constant size, but the whole of
> emacs grows and shrinks along with its tool and menu bars.
>
> Now contrast this with firefox, View->  [check/uncheck some tool etc.
> bars]
>
> Notice how the whole of firefox stays the same size.

Emacs is not firefox.  Emacs tries to keep editable lines so of course size 
changes.  Apparently Firefox does not, but that has no bearing on Emacs.
The size of the toolbar/menubar may not be an integral number of text lines. 
Emacs tries to always show whole lines, Firefox does not.

You may put wish list as severity on this bug, but please describe every 
possible combination Emacs can hav in this respect and how it should behave. 
This includes tiling window managers like XMonad, and running with no window 
manager at all.  And how Emacs should behave w.r.t. resize in all scenarios.

>
> In emacs one must first click the "maximize" button in the upper right
> corner for things to work out well, and such changes not to change
> emacs's total size.
>
> For firefox, that one clicked "maximize" is remembered between sessions.
>
> For emacs I have to use the complicated
> http://jidanni.org/comp/configuration/ just to get a full size window
> without the bars at startup.
>

emacs.toolBar: 0
emacs.menuBar: 0

and start emacs with -fs is all it takes.  Not very complicated.

In the future, please use M-x report-emacs-bug.  As different ports have 
different behaviour, we would like to know what you are running.

	Jan D.